@charset "UTF-8";

/*!
Theme Name: Cocoon Child
Description: Cocoon専用の子テーマ
Theme URI: https://wp-cocoon.com/
Author: わいひら
Author URI: https://nelog.jp/
Template:   cocoon-master
Version:    1.1.3
*/

/************************************
** 子テーマ用のスタイルを書く
************************************/
/*必要ならばここにコードを書く*/

/* ★サイト全体の文字 */
strong {
  font-weight: 700 !important; /* 数値を大きくして太くする */
}
body {
	letter-spacing: 0.04em; /*標準より少し広げる（おすすめ） */
	font-family: "Varela Round",YakuHanRP,"Kosugi Maru", sans-serif!important;
	font-weight: 400!important;
}
.article h2, .article h3 {
  letter-spacing: 0.08em;
}
body:not(.page-id-21) .article h2{
	font-size:42px;
	letter-spacing: 0.17em;
	background-color:transparent;
}
.sns-follow-message{
	font-size:0.9em;
}　
/* ★サイト全体の余白 */
.entry-content {
    margin-top: 1em;
    margin-bottom: 1em;
}
.entry-content {
  margin-bottom: 0px; /* あるいは padding-bottom */
}
body:not(.page-id-21) .main {
	padding:10px 29px;
	padding-top:0px!important;
	top:-18px;
}
.content{
	margin-top:0px!important;
}
/* ★PC余白ひろく */
.rp-yohaku{
	padding:0 8em;
}

/*★ボタン*/
.btn-m::after {
	font-family: "Font Awesome 5 Free";
    font-weight: 900;
    position: absolute;
	content: "\f054";
	font-size: 16px;
    right: 4px;
    top: 13px;
}
.btn-m{
    padding: 12px 60px 12px 30px;
}
.btn{
	border-width: 4px;
    border-style: dotted dotted solid dotted;
}
/*マウスオーバー*/
.btn:hover{
	color:#ee8383!important;
	background-color:#f9f7ba!important;
	transform: translateY(1px);
	transition: all 0.2s ease;
	opacity:1;
}

/* ★カバーブロック全幅 */
body .is-layout-constrained>:where(:not(.alignleft):not(.alignright):not(.alignfull)) {
    max-width: var(--wp--style--global--content-size);
    margin-left: auto!important;
    margin-right: auto!important;
}
/* カバーブロック全幅にするとき */
.cstm-blk-fullwide-inner {
    width: 100vw!important;
    margin: 0 calc(50% - 50vw);
    padding: 0 calc(50vw - 50%);
}
/* 画像ブロックは以下で画面幅に */
.cstm-blk-fullwide {
    width: 100vw;
    margin: 0 calc(50% - 50vw);
}
/*★サイドバーが非表示になる画面幅のとき、コンテンツが少ないとフッターが下端から離れる対処*/
#container {
display: flex;
min-height: 100vh;
flex-direction: column;
}

#content {
flex-grow: 1;
}
/*★フッター*/
.footer {
  position: relative;
  background-color: #34bdeb !important; /* ★フッターの背景色に合わせる */
  margin-top: 50px !important; /* 山を高くした分、上の余白をさらに確保 */
  border: none;
}
.mobile-footer-menu-buttons{
	background-color: #34bdeb;
	color:#fff;
}
.mobile-footer-menu-buttons::before{
  content: "";
  position: absolute;
  top: -35px;
  left: 0;
  width: 100%;
  height: 40px;
  background-color: #34bdeb;
  clip-path: ellipse(52% 100% at 50% 100%);
}
/* 中央が高く切り立ったアーチ */
.footer::before{
  content: "";
  position: absolute;
  top: -50px;
  left: 0;
  width: 100%;
  height: 50px;
  background-color: #34bdeb;
  clip-path: ellipse(52% 100% at 50% 100%);
}
/*★フォローボタン*/
/*ホームなくす*/
.website-follow-button-sq{
	display:none!important;
}
/*丸くする*/
#container .sns-follow .sns-buttons a{
font-size:42px; /*文字サイズ*/
border: 0;
border-radius: 50%; /*丸くする*/
width:80px;
height:80px;
}
/*★coming-soon*/
body.page-id-21.public-page {
    background-color: #fff!important;
}

.page-id-21 .header-container,
.page-id-21 .breadcrumb,
.page-id-21 .mobile-menu-buttons,
.page-id-21 .mobile-header-menu-buttons{
	display:none;
}
/* スマホメニューを消した時の余白削除 */
html.page-id-21,
body.page-id-21 {
  padding-bottom: 0 !important;
  margin-bottom: 0 !important;
	margin-top:0!important;
  height: 100%;
}
/* ★ホーム*/
.page-id-80 .breadcrumb{
	display:none;
}
/* ★ヘッダー */
#header-container .navi,
#header-container{
	background: #34bdeb;
}
#header-container{
	z-index:1;
}
#header-container::before {
  content: "";
  position: absolute;
  top: 24px;
  left: 0;
  width: 100%;
  height: 56px;
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1440 200' preserveAspectRatio='none'><path d='M0,50 C80,0 160,0 240,50 C320,100 400,100 480,50 C560,0 640,0 720,50 C800,100 880,100 960,50 C1040,0 1120,0 1200,50 C1280,100 1360,100 1440,50 L1440,200 L0,200 Z' fill='%2334bdeb'/></svg>");
	transform: rotate(180deg);/* 回転 */
  background-size: contain;
  background-repeat: no-repeat;
  pointer-events: none;
}
/* ★メニュー */
@keyframes bound {
  0%, 100% { transform: translateY(0); }
  50% { transform: translateY(-10px); } /* 頂点で少し止まる */
}
.navi-in > ul{
	margin: 7px 30px 4px 112px;
}
#navi .navi-in>ul>li>a {
    padding: 0 0.8em;
}
.navi-in a{
	font-weight:600;
	font-size:15px;
	color:#fff!important;
	letter-spacing: 0.05em;
}
.navi-in .fas {
	margin-right:3px;
	font-size:17px;
}
#menu-item-99 a{
	padding-right:2em!important;
}
.navi-in .has-icon {
    opacity: 1;
	right:11px;
}
.navi-in > ul .sub-menu {
    width: 100%;
    background-color: #ee8383 !important;
	border-radius: 20px;
}
/*マウスオーバー*/
#navi .navi-in a:hover {
	background: #34bdeb;
	color:#fff;
    border-bottom: 5px solid #f5d835;
	transition: all 0.2s ease;
	opacity:1;
	animation: bound 0.5s ease-in-out;
}
.navi-in > ul .sub-menu a:hover{
	background-color: #edcd1a !important;
	border-bottom: none!important;
	transition: all 0s ease!important;
	border-radius:20px;
}
/*メニュー項目開いている時*/
.navi-in .current-menu-item a {
	color: #2557a7 !important;
}
/*★スライドインメニュー内観*/
.menu-content{
	width:25%;
	height:85%;
	overflow: hidden;
	text-align: right;
}
.menu-content .menu-drawer {
    padding: 0em 0em 30px 0em;
}
/* スライドインメニュー を右から出るように*/
.navi-menu-content {
	left: auto;
	right: 0;
	transform: translateX(140%);
	border-radius: 180px 0px 0px 320px;
}
.menu-drawer a {
	color: #2557a7;
	border-bottom: 1px dotted #34bdeb;
	padding:12px 25px 12px 0px;
	font-size:17px;
	letter-spacing: 0.05em;
}
/*メニュー項目開いている時*/
.menu-drawer .current-menu-item a {
	background-color: #fffef2 ;
	background-image: url(http://mtheartbeat.com/wp-content/uploads/2026/02/hb-current2.png);
	background-repeat: no-repeat;
	border-bottom: 5px solid #34bdeb;
	background-position: 17% ;
}
/*マウスオーバー*/
.menu-drawer a:hover {
	background-color: transparent!important;
	transition: all 0.3s ease;
	color: #ee8383;
	border-bottom: 5px solid #f5d835;
	animation: bound 0.5s ease-in-out;
}
/*×ボタンの大きさ*/
.menu-close-button{
	color: #2557a7;
	text-align:right;
    padding: 10px 25px 10px 10px;
    font-size: 1.2em;
    background-color: #f5d835;
}
/*マウスオーバー*/
.menu-close-button:hover{
	transition: all 0.3s ease;
	background-color: #34bdeb!important;
	color: #f5d835;
	animation: bound 0.5s ease-in-out;
}
.menu-drawer li.insta-menu a {
    border-bottom: none !important;
}
.insta-menu .fab{
	position: relative;
	font-size:31px;
	background: #d62976; /* フォールバック色 */
  background: radial-gradient(circle at 30% 107%, #fdf497 0%, #fdf497 5%, #fd5949 45%, #d62976 60%, #962fbf 90%);
  background: -webkit-radial-gradient(circle at 30% 107%, #fdf497 0%, #fdf497 5%, #fd5949 45%, #d62976 60%, #962fbf 90%);
  color: white;
  border-radius: 50%; /*丸くする*/
width:45px;
height:45px;
}
.fa-instagram:before{
	position: absolute;
	right: 8px;
    top: 7px;
}
/*★モバイルメニュー外観*/
 .mobile-header-menu-buttons .menu-caption{
    display: none;
  }
/*アイコン大きさと色*/
.mobile-header-menu-buttons .menu-icon {
	font-size:27px;
	color:#fff;
	padding:20px;
}
.mobile-header-menu-buttons .navi-menu-button {
	width: 80px;
	height: 90px;
	background-image: url(http://mtheartbeat.com/wp-content/uploads/2026/02/menu-bg3.png); 
	background-repeat: no-repeat;
    padding: 3px;
	right:8px;
	top:-110px;
}
/*マウスオーバー*/
.mobile-header-menu-buttons .navi-menu-button:hover {
	background-image: url(http://mtheartbeat.com/wp-content/uploads/2026/02/menu-bg3-hover.png); 
	animation: bound 0.5s ease-in-out;
}
.mobile-header-menu-buttons .logo-menu-button{
	width: 15em;
	height: 15em;
    background-color: #fff;
    border-radius: 81% 46% 47% 81%/60% 78% 55% 72%;
	top: -160px;
    left: -5px;
    padding: 3px;
	flex-grow: 0;
	filter: drop-shadow(2px 2px 4px #33333357);
	-webkit-filter: drop-shadow(2px 2px 3px #33333357);
}
/*マウスオーバー*/
.mobile-header-menu-buttons .logo-menu-button:hover{
	animation: bound 0.5s ease-in-out;
}
.logo-menu-button a {
  opacity: 1 !important;
}
.logo-menu-button img ,
.header-container-in.hlt-top-menu .logo-header img{
    max-height: 15em;
}
.mobile-header-menu-buttons{
	height: 1em;
	box-shadow: none;
    background: transparent;
	align-items: normal;
	justify-content: space-between;
	margin-top:7em;
}
/*PCでハンバーガー表示*/
.mobile-header-menu-buttons {
	display: flex;
	bottom: auto;
	top: 0;
}
/*PCでヘッダー固定表示*/
.fixed-header .site-fixed-logo-image{
	display:none;
}
.fixed-header .has-sub {
    display: inline-block;
}
.fixed-header .navi-in > ul li:hover > ul  {
    display: block;
}
.fixed-header .navi-in > ul {
    margin: 7px auto;
}
.fixed-header .navi-in .has-icon {
    top: 12px;
}
/*★上へボタン*/
.go-to-top{
	bottom:110px;
	filter: drop-shadow(0px 2px 1px #33333357);
	-webkit-filter: drop-shadow(0px 2px 1px #33333357);
}
.go-to-top-button{
	width:5em;
	height:5em;
}
.go-to-top:hover{
	animation: bound 0.5s ease-in-out;
}
/*★サイトフェードイン*/
.mobile-menu-buttons{
	animation: fadeInnavi 3s ease-out 0s 1 normal;
}
#footer {
    animation: fadeInnavi 2s ease-out 0s 1 normal;
}
@keyframes fadeInnavi {
    from { opacity: 0;}
    100% { opacity: 1;}
}
#main,
#content-bottom,
#sidebar,
#breadcrumb {
    animation: fadeIn 2s ease-out 0s 1 normal;
}

@keyframes fadeIn {
    from {transform: translateY(10%); opacity: 0;}
    100% {transform: translateY(0%); opacity: 1;}
}
#header-container {
    animation: Down 2s ease-out 0s 1 normal;
}

@keyframes Down {
    from {transform: translateY(-10%); opacity: 0;}
    100% {transform: translateY(0%); opacity: 1;}
}
/*★はねるアニメーション*/
.pyon{    
    -moz-animation: translate 1.5s;
    -moz-animation-iteration-count: infinite;
    -webkit-animation: translate 1.5s;
    -webkit-animation-iteration-count: infinite;
    -o-animation: translate 1.5s;
    -o-animation-iteration-count: infinite;
    animation: translate 1.5s;
    animation-iteration-count: infinite; 
}

@keyframes translate{
    0%  {transform: translate(0px,0px);}
    40%  {transform: translate(0px,5px);}
    80%  {transform: translate(0px,10px);} 
    100% {transform: translate(0px,0px);}
}

@-moz-keyframes translate{
       0%  {-moz-transform: translate(0px,0px);}
    40%  {-moz-transform: translate(0px,5px);}
    80%  {-moz-transform: translate(0px,10px);} 
    100% {-moz-transform: translate(0px,0px);}
}

@-webkit-keyframes yoko-pyon{
    0%  {-webkit-transform: translate(0px,0px);}
    40%  {-webkit-transform: translate(0px,5px);}
    80%  {-webkit-transform: translate(0px,10px);} 
    100% {-webkit-transform: translate(0px,0px);}
}
@-o-keyframes translate{
    0%  {-o-transform: translate(0px,0px);}
    40%  {-o-transform: translate(0px,5px);}
    80%  {-o-transform: translate(0px,10px);} 
    100% {-o-transform: translate(0px,0px);}
}
.yoko-pyon{    
    -moz-animation: yoko-pyon 1.5s;
    -moz-animation-iteration-count: infinite;
    -webkit-animation: yoko-pyon 1.5s;
    -webkit-animation-iteration-count: infinite;
    -o-animation: yoko-pyon 1.5s;
    -o-animation-iteration-count: infinite;
    animation: yoko-pyon 1.5s;
    animation-iteration-count: infinite; 
}
@keyframes yoko-pyon{
    0%  {transform: translate(0px,0px);}
    40%  {transform: translate(5px,0px);}
    80%  {transform: translate(10px,0px);} 
    100% {transform: translate(0px,0px);}
}

@-moz-keyframes yoko-pyon{
       0%  {-moz-transform: translate(0px,0px);}
    40%  {-moz-transform: translate(5px,0px);}
    80%  {-moz-transform: translate(10px,0px);} 
    100% {-moz-transform: translate(0px,0px);}
}

@-webkit-keyframes yoko-pyon{
    0%  {-webkit-transform: translate(0px,0px);}
    40%  {-webkit-transform: translate(5px,0px);}
    80%  {-webkit-transform: translate(10px,0px);} 
    100% {-webkit-transform: translate(0px,0px);}
}
@-o-keyframes yoko-pyon{
    0%  {-o-transform: translate(0px,0px);}
    40%  {-o-transform: translate(5px,0px);}
    80%  {-o-transform: translate(10px,0px);} 
    100% {-o-transform: translate(0px,0px);}
}

/*★ローディングスクリーンのスタイル */
.my_loading {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9999;
    width: 100vw;
    height: 100vh;
    background-color: #ffffff;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 1;
    animation: my_fadeOutBackground 1.0s 1.5s forwards;
}

.my_loading img {
    opacity: 0;
    animation: my_logo_fade 1s 0.5s forwards;
    width: 300px; /* ロゴのサイズ（パソコン） */
}

@media screen and (max-width: 959px) {
    .my_loading img {
        width: 200px; /* ロゴのサイズ（スマホ） */
    }
}

/* 背景のフェードアウトアニメーション */
@keyframes my_fadeOutBackground {
    0% {
        opacity: 1;
    }
    100% {
        opacity: 0;
        visibility: hidden;
    }
}
/* ロゴのフェードイン・フェードアウトアニメーション */
@keyframes my_logo_fade {
    0% {
        opacity: 0;
        transform: translateY(20px);
    }
    60% {
        opacity: 1;
        transform: translateY(0);
    }
    100% {
        opacity: 0;
    }
}
/* 三角形 下 */
.cstm-clip-lower-kaku {
  clip-path: polygon(300% 0%, -200% 0%, 50% 100%);
  height: 5vw;
  min-height: 93vh!important;
}
/* ★スライダー */
.n2-ss-slider .n2-ss-layer{
    margin-top:-33px!important;
} 
div#n2-ss-2 .n2-font-4ebe1e7e2cf98b8fb7f756a64b470ec8-paragraph,
div#n2-ss-2 .n2-font-952d3225262c1b83ce906da96a5c49fb-paragraph,{
	font-family: "Varela Round",YakuHanRP,"Kosugi Maru", sans-serif!important;
}
/* スライドID 38 が表示されている時だけ、静的オーバーレイを非表示にする */
#n2-ss-2:has(.n2-ss-slide-38.n2-ss-slide-active) .n2-ss-layer {   
    visibility: hidden !important;
} 
/* 水平線を画像に変更 */
hr.dot {
  height: 6px; /* 画像の高さに合わせて調整 */
  border: none;
  background-image: url("http://mtheartbeat.com/wp-content/uploads/2026/02/hr.png");
  background-repeat: repeat-x; /* 横方向に繰り返す */
  background-position: center;
  background-size: contain;
  opacity: 1; /* Cocoonのデフォルト透過をリセット */
}
/* ★画像回転 */
.rote-m,
.rote-m-sp-no{
	transform: rotate(15deg);
}
.rote-h,
.rote-h-sp-no{
	transform: rotate(-15deg);
}
/*★文章左右中央配置★*/
/*divで*/
.mid-box{
    display: block;
    text-align: center;
}
/*左寄せ文字<div class="mid-box">中の<p>のクラス*/
.hidari-moji{ 
	display: inline-block;
	text-align: justify;
	text-justify: inter-ideograph;
}
/*★改行したくない文字を囲う*/
span.aks {
   display: inline-block;
}
/* ★非表示 */
.no{
	display:none;
}
/* ========== circle & wave path start ==========　*/
/* v1.0.2 add */


/* 枠としての svg のサイズ指定 */
.cstm-blk-path-lower-cir svg, 
.cstm-blk-path-upper-cir svg{
  display: block;
  width: 100%;
  height: 18vmin;
}
:where(.cstm-blk-path-lower-wave, .cstm-blk-path-upper-wave) svg {
  display: block;
  fill: #f6f6f6;
  width: 100%;
  height: 7vmin;
}

.cstm-blk-path-upper-cir,
.cstm-blk-path-upper-wave {
  margin-bottom: 0 !important;
}

.cstm-blk-path-upper-wave+.wp-block-cover>.wp-block-cover__inner-container,
.cstm-blk-path-lower-wave+.wp-block-cover>.wp-block-cover__inner-container,
.cstm-blk-path-upper-cir+.wp-block-cover>.wp-block-cover__inner-container,
.cstm-blk-path-lower-cir+.wp-block-cover>.wp-block-cover__inner-container {
  padding-top: 3rem;
}

:where(.cstm-blk-path-upper-cir, .cstm-blk-path-upper-wave) {
  transform: translateY(1px);
}

:where(.cstm-blk-path-lower-cir, .cstm-blk-path-lower-wave) {
  transform: translateY(-22px);
}
/* ========== circle & wave path end ==========　*/
/*★横スクロールなくす */
body {
  overflow-x: clip;
}
/************************************
** レスポンシブデザイン用のメディアクエリ
************************************/
/*1300px以下*/
@media screen and (max-width: 1300px){
	/*★ヘッダーメニュー文字大きさ */
.navi-in a{
	font-size:12px;
}
 .navi-in .fas {
	 font-size:14px;
}
.rp-yohaku{
	padding:0 0px;
}
}
/*1023px以下*/
@media screen and (max-width: 1023px){
	/*★モバイルで上へボタン表示 */
 .mblt-header-and-footer-mobile-buttons .go-to-top-button {
   display:flex;
    }
	body:where(.mblt-header-mobile-buttons, .mblt-header-and-footer-mobile-buttons) {
        margin-top: 0px;
}
	.menu-content{
	width:30%;
}
	body:not(.page-id-123) .main {
	top:-8px;
}
	.cstm-clip-lower-kaku {
    clip-path: polygon(400% 0%, -300% 0%, 50% 100%);
    min-height: 88vh !important;
}
	.n2-ss-slider .n2-ss-layer{
    margin-top:-43px!important;
} 
}

/*834px以下*/
@media screen and (max-width: 834px){
  /*コピーライト文字調整*/
#footer .source-org.copyright,
#footer .source-org.copyright span,
.copyright {
  font-size: 0.9em !important; /* お好みのサイズに */
}
	.menu-content{
	width:50%;
}
body:not(.page-id-21) .article h2{
	font-size:30px;
}
	.rote-h-sp-no,
	.rote-m-sp-no{
	transform: rotate(0deg);
}
	.sp-no{
		display:none!important;
	}
/*★PCだけ改行<br class="br-pc">*/
	.br-pc {
    display: none;
  }
	.pc {
    display: none;
  }
}

/*480px以下*/
@media screen and (max-width: 480px){
  /*必要ならばここにコードを書く*/
		div#n2-ss-2 .n2-ss-slider-1 {
    min-height: 650px!important;
}
	.cstm-clip-lower-kaku {
    clip-path: polygon(400% 0%, -300% 0%, 50% 100%);
    min-height: 65vh !important;
}
		.n2-ss-slider .n2-ss-layer{
    margin-top:-23px!important;
} 
	body:not(.page-id-21) .article h2{
	font-size:24px;
}
	#header-container::before {
  top: 10px;
	}
	.mobile-header-menu-buttons .logo-menu-button{
	top: -130px;
	width: 10em;
    height: 10em;
}
	.mobile-header-menu-buttons .navi-menu-button {
	top:-100px;
	right:3px;
}
	.cstm-blk-path-lower-cir svg, 
.cstm-blk-path-upper-cir svg{
  height: 14vmin;
}
}

/*834px以上*/
@media screen and (min-width:834px){
	/*★スマホだけ改行<br class="br-sp">*/
  .br-sp {
    display: none;
  }
	.sp {
    display: none;
  }
}
/*500px以下*/
@media screen and (max-width: 500px){
  /*必要ならばここにコードを書く*/
.menu-content{
	width:71%;
	height:90%;
}
}
